<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('upload_files', function (Blueprint $table) {
            $table->id();
            $table->string("title")->nullable()->comment("標題");
            $table->string("type")->comment("附檔類型 1.社會公益");
            $table->string("upload_link")->comment("附檔連結");
            $table->date("award_date")->nullable()->comment("獲得日期");
            $table->integer("order")->comment("排序");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('upload_files');
    }
};
